Package org.apache.commons.compress.harmony.pack200

# Class Pack200Exception

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.commons.compress.CompressException
org.apache.commons.compress.harmony.pack200.Pack200Exception

All Implemented Interfaces:
  `Serializable`

public class Pack200Exception extends CompressException
Signals a problem with a Pack200 coding or decoding issue.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Pack200Exception(String message)`
  Constructs an `Pack200Exception` with the specified detail message.
  `Pack200Exception(String message, Throwable cause)`
  Constructs an `Pack200Exception` with the specified detail message and cause.

- ## Method Summary

  ### Methods inherited from class org.apache.commons.compress.CompressException

  `requireNonNull`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Pack200Exception

    public Pack200Exception(String message)
    Constructs an `Pack200Exception` with the specified detail message.
    Parameters:
      `message` - The detail message (which is saved for later retrieval by the `Throwable.getMessage()` method)

  - ### Pack200Exception

    public Pack200Exception(String message, Throwable cause)
    Constructs an `Pack200Exception` with the specified detail message and cause.

    Note that the detail message associated with `cause` is not automatically incorporated into this exception's detail message.

    Parameters:
      `message` - The detail message (which is saved for later retrieval by the `Throwable.getMessage()` method)
      `cause` - The cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)
    Since:
      1.28.0